package some;

public class ColumnInfo {

	public ColumnInfo() {
	}

	public String toString() {
		StringBuffer sBuff = new StringBuffer();
		sBuff.append("テーブル名：" + tableName);
		sBuff.append("(" + String.valueOf(columnId) + ")");

		sBuff.append( "[ColumnName=" + String.valueOf(columnName) + "]");
		sBuff.append( "[ColumnNameKnj=" + String.valueOf(columnNameKnj) + "]");
		sBuff.append( "[ColumnAttr=" + String.valueOf(columnAttr) + "]");
		sBuff.append( "[ColumnLength=" + String.valueOf(columnLength) + "]");
		sBuff.append( "[FloatingPos=" + String.valueOf(floatingPos) + "]");
		sBuff.append( "[PrimaryKeyNo=" + String.valueOf(primaryKeyNo) + "]");
		sBuff.append( "[Nullable=" + nullable + "]");
		sBuff.append( "[InitialValue=" + InitialValue + "]");

		return sBuff.toString();
	}

//	------------------------------< 変数設定 >
	private String tableName = "";
	private int columnId = 0;
	private String columnName = "";
	private String columnNameKnj = "";
	private String columnAttr = "";
	private int columnLength = 0;
	private int floatingPos = 0;
	private int primaryKeyNo = 0;
	private String nullable = "";
	private String InitialValue = "";

//	------------------------------< setter定義 >
	public void setTableName(String sVal){ this.tableName=sVal; }
	public void setColumnId(int sVal){ this.columnId=sVal; }
	public void setColumnName(String sVal){ this.columnName=sVal; }
	public void setColumnNameKnj(String sVal){ this.columnNameKnj=sVal; }
	public void setColumnAttr(String sVal){ this.columnAttr=sVal; }
	public void setColumnLength(int sVal){ this.columnLength=sVal; }
	public void setFloatingPos(int sVal){ this.floatingPos=sVal; }
	public void setPrimaryKeyNo(int sVal){ this.primaryKeyNo=sVal; }
	public void setNullable(String sVal){ this.nullable=sVal; }
	public void setInitialValue(String sVal){ this.InitialValue=sVal; }

//	------------------------------< getter定義 >
	public String getTableName(){ return this.tableName; }
	public int getColumnId(){ return this.columnId; }
	public String getColumnName(){ return this.columnName; }
	public String getColumnNameKnj(){ return this.columnNameKnj; }
	public String getColumnAttr(){ return this.columnAttr; }
	public int getColumnLength(){ return this.columnLength; }
	public int getFloatingPos(){ return this.floatingPos; }
	public int getPrimaryKeyNo(){ return this.primaryKeyNo; }
	public String getNullable(){ return this.nullable; }
	public String getInitialValue(){ return this.InitialValue; }


}
